현지화 작업이 이미 시작됨

Moses Skoda엔지니어1분 소요

API는 이 오류가 발생하면 409 Conflict 응답을 반환합니다. 오류의 type는 https://lingo.dev/docs/api/errors/localization-job-started입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

현지화 작업 <id>이 이미 시작되었습니다. 아티팩트는 작업이 시작되기 전에만 업로드할 수 있습니다. 이 아티팩트를 업로드하려면 새 작업을 만드세요.

필드#

본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 원하는 문구로 바꿔 표시할 수 있습니다.

필드유형
idstring

예시#

json
{
  "detail": "Localization job <id> has already started, and artifacts can only be uploaded before a job starts. Create a new job for these artifacts.",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/localization-job-started",
  "status": 409,
  "title": "Localization job already started"
}

이 오류를 반환하는 엔드포인트#

  • PUT /v2/localization/jobs/{id}/artifacts/{address}